## meego-packaging-tools 0.6

=== Makefile ===
VERSION = $(shell cat VERSION)

PREFIX=/usr
FILES=Makefile.common Makefile.in bin/pkg-init

all:

install:
	install -d  $(DESTDIR)$(PREFIX)/share/meego-packaging-tools
	install -d  $(DESTDIR)$(PREFIX)/bin
	install -m644 Makefile.common $(DESTDIR)$(PREFIX)/share/meego-packaging-tools
	install -m644 Makefile.in $(DESTDIR)$(PREFIX)/share/meego-packaging-tools
	install -m755 bin/pkg-init $(DESTDIR)$(PREFIX)/bin
	install -m755 bin/local-build $(DESTDIR)$(PREFIX)/bin
	install -m755 bin/build-log $(DESTDIR)$(PREFIX)/bin
	install -m755 bin/vc $(DESTDIR)$(PREFIX)/bin
	install -m755 bin/mvchangelog $(DESTDIR)$(PREFIX)/bin
	install -m755 bin/spec-cleaner $(DESTDIR)$(PREFIX)/bin
tag: 
	git tag $(VERSION)
dist:
	git archive --format=tar --prefix=packaging-tools-$(VERSION)/ $(VERSION) | \
		bzip2  > packaging-tools-$(VERSION).tar.bz2

=== examples/Makefile ===

NAME := xfce4-session
SPECFILE = $(firstword $(wildcard *.spec))
YAMLFILE = $(firstword $(wildcard *.yaml))

include ../Makefile.common

=== debian/changelog ===
meego-packaging-tools (0.6-1) unstable; urgency=low

  * New upstream release.
  * Remove patches:
    - 01_add_spec-cleaner.diff - merged upstream
    - 02_pkg-init_Makefile.in_path.diff - merged upstream
  * Fix Makefile.common path in Makefile.in file.

 -- Fathi Boudra <fabo@debian.org>  Tue, 24 Aug 2010 11:28:46 +0300

meego-packaging-tools (0.5.1-2) unstable; urgency=low

  * Fix pkg-init script. It contains an old Makefile.in path.

 -- Fathi Boudra <fabo@debian.org>  Sat, 14 Aug 2010 14:06:54 +0300

meego-packaging-tools (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #592314)

 -- Fathi Boudra <fabo@debian.org>  Sat, 07 Aug 2010 10:25:47 +0300

=== debian/control ===
Source: meego-packaging-tools
Section: devel
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: meego-packaging-tools
Architecture: all
Depends: ${misc:Depends},
 mic2 (>= 0.17),
 osc (>= 0.125),
 python (>= 2.5),
 quilt (>= 0.46),
 spectacle (>= 0.16)
Suggests: build (>= 2010.04.15), meego-osc-plugins (>= 0.6)
Description: MeeGo packaging tools
 MeeGo packaging tools is a collection of utilities to setup packaging and
 build environment for MeeGo development.
